


#ifndef APPLICATION_H
#define APPLICATION_H


#include <vrj/Kernel/Kernel.h>
#include <vrj/Draw/OpenGL/App.h>
#include <vrj/Draw/OpenGL/ContextData.h>

#include <gadget/Type/PositionInterface.h>
#include <gadget/Type/DigitalInterface.h>

#include <vector>

#include <gmtl/gmtl.h>

#include <GL/gl.h>

#include "Cube.h"


class Application : public vrj::opengl::App
{
protected:

	void PopulateScene(const gmtl::Vec3f& extentLo, const gmtl::Vec3f& extentHi, float size, unsigned int num);

	void DrawScene();


	vrj::opengl::ContextData<GLuint> cubeDList;			// Display list id for drawing a unit cube (vrj-wrapped)

	std::vector<Cube> scene;								// Scene is expressed wrt/ world frame
	Cube* selectedCube;										// Ptr to the currently selected cube, NULL if no cube is currently selected
};




#endif
