


#ifndef CUBE_H
#define CUBE_H


#include <gmtl/gmtl.h>



// Cube defined in the space [-0.5; 0.5]^3

typedef struct
{
	gmtl::Matrix44f pos;				// position of the cube in the scene (world space)
	gmtl::Matrix44f posInvert;			// invert of pos

	gmtl::Vec3f color;					// color of the cube
} Cube;





/*
 *	Tests for an intersection between the cube c and a ray (origin, dir)
 *	Returns the intersection's distance or -1 if no intersection occurs
 *
 *	Cube c must be properly initialized (i.e. posInvert must be pos^{-1})
 *
 *	pos, origin, dir are all relative to the same frame.
 *
 */

float RayCubeIntersection(const Cube& c, const gmtl::Vec3f& origin, const gmtl::Vec3f& dir);



#endif
