

#include <iostream>

#include <vrj/Kernel/Kernel.h>

#include "Application.h"



int main(int argc, char** argv)
{
  if (argc <= 1)
   {
      std::cout << "\n\n" << std::flush;
      std::cout << "Usage: " << argv[0]
            << "(--vrjmaster vjconfigfile ... ) | --vrjslave\n"
            << std::flush;
      std::cout << "\n\n" << std::flush;
		return 1;
   }

	vrj::Kernel* kernel = vrj::Kernel::instance();
	kernel->init(argc, argv);

	for(int i = 1 ; i < argc ; i++)
		kernel->loadConfigFile(argv[i]);


	Application* app = new Application();

	kernel->start();
	kernel->setApplication(app);
	kernel->waitForKernelStop();

	delete app;


	return 0;
}
